<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="generator" content="GitLab Pages">
    <title>WPezBlocks - Screenshots</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>

<header>
    <h1>WPezBlocks - Screenshots</h1>
    <h3>Think Outside The Block</h3>
    <p>If you haven't done so already, please have a look at the README here: <a href="https://gitlab.com/wpezsuite/WPezBlocks/wpez-blocks-dist" target="_blank">https://gitlab.com/wpezsuite/WPezBlocks/wpez-blocks-dist</a></p>
</header>

<!-- **** 1 **** -->
<hr>
<hr>
<figure>
    <figcaption><strong>1 - Editor: Nothing too fancy here. Feature Set: Basic. Similar to core but with some helpful additions.</strong><br>
    </figcaption>
    <br>
    <img src="assets/screenshots/heading-basic-1-editor.png">
</figure>

<figure>
    <figcaption><strong>1 - Frontend: Above settings on the frontend.</strong><br>
        <em>Note: Theme's (text) color for this block was changed slightly. </em><br>
    </figcaption>
    <br>
    <img src="assets/screenshots/heading-basic-1-frontend.png">
</figure>


<!-- **** 2 **** -->
<hr>
<hr>

<figure>
    <figcaption><strong>2 - Editor: The screegrab cropped it, but the Colors > Color Combo is now white text on black. Also, Block Width: Wide.</strong><br>
    </figcaption>
    <br>
    <img src="assets/screenshots/heading-basic-2-editor.png">
</figure>

<figure>
    <figcaption><strong>2 - Frontend: Above settings on the frontend.</strong><br>
        <em>Note: Theme's margin and padding for the H2 tag were not changed. That would be a design decision that remains in your hands.</em><br>
    </figcaption>
    <br>
    <img src="assets/screenshots/heading-basic-2-frontend.png">
</figure>

<!-- **** 3 **** -->
<hr>
<hr>

<figure>
    <figcaption><strong>3 - Editor: Block Width: Full and you get a better view of the other open inspector panels.</strong><br>
        <em>Note: The Drop Cap is probably not a good design decision, but for demo purposes, why not?</em><br>
    </figcaption>
    <br>
    <img src="assets/screenshots/heading-basic-3-editor.png">
</figure>

<figure>
    <figcaption><strong>3 - Frontend: Above settings on the frontend.</strong><br>
    </figcaption>
    <br>
    <img src="assets/screenshots/heading-basic-3-frontend.png">
</figure>

<!-- **** 4 **** -->
<hr>
<hr>

<figure>
    <figcaption><strong>4 - Editor: Feature Set: Extra exposes more settings possibilities. The magic is starting to happen.</strong><br>
    </figcaption>
    <br>
    <img src="assets/screenshots/heading-extra-4-editor.png">
</figure>

<figure>
    <figcaption><strong>4 - Frontend: Above settings on the frontend.</strong><br>
    </figcaption>
    <br>
    <img src="assets/screenshots/heading-extra-4-frontend.png">
</figure>


<!-- **** 5 **** -->
<hr>
<hr>

<figure>
    <figcaption><strong>5 - Editor: Feature Set: Extra with settings that are more "interesting and creative".</strong><br>
    </figcaption>
    <br>
    <img src="assets/screenshots/heading-extra-5-editor.png">
</figure>

<figure>
    <figcaption><strong>5 - Frontend: Above settings on the frontend.</strong><br>
        <em>Note: Keep in mind, the outer Block (in grey), the Box (in white) and/or the Content (the text) could each be animated.</em><br>
    </figcaption>
    <br>
    <img src="assets/screenshots/heading-extra-5-frontend.png">
</figure>


<!-- **** 6 **** -->
<hr>
<hr>

<figure>
    <figcaption><strong>6 - Editor: Whoa...Look at that! A Heading that's floated!</strong><br>
    </figcaption>
    <br>
    <img src="assets/screenshots/heading-extra-6-editor.png">
</figure>

<figure>
    <figcaption><strong>6 - Frontend: Above settings on the frontend.</strong><br>
        <em>Note: This first example is of the Heading block, but the same patterns will be applied to Paragraph, List, etc.</em><br>
    </figcaption>
    <br>
    <img src="assets/screenshots/heading-extra-6-frontend.png">
</figure>

<!-- **** 7 **** -->
<hr>
<hr>

<figure>
    <figcaption><strong>7 - Editor: A change in the float, as well as some other settings changed.</strong><br>
    </figcaption>
    <br>
    <img src="assets/screenshots/heading-extra-7-editor.png">
</figure>

<figure>
    <figcaption><strong>7 - Frontend: Above settings on the frontend.</strong><br>
        <em>Note: This almost feels like a "Drop Word" effect. Maybe?</em><br>
    </figcaption>
    <br>
    <img src="assets/screenshots/heading-extra-7-frontend.png">
</figure>

<!-- **** 8 **** -->
<hr>
<hr>

<figure>
    <figcaption><strong>8a - Editor: No more float, but some more interesting settings' choices.</strong><br>
    </figcaption>
    <br>
    <img src="assets/screenshots/heading-extra-8a-editor.png">
</figure>

<figure>
    <figcaption><strong>8b - Editor: Scrolled down so you can see more of the Inspector (on the right). Check out the Color Combos control! No more style guide violations.</strong><br>
    </figcaption>
    <br>
    <img src="assets/screenshots/heading-extra-8b-editor.png">
</figure>

<figure>
    <figcaption><strong>8 - Frontend: Above settings on the frontend.</strong><br>
    </figcaption>
    <br>
    <img src="assets/screenshots/heading-extra-8-frontend.png">
</figure>

<!-- **** 8 **** -->
<hr>
<hr>

<figure>
    <figcaption><strong>9a - Editor: Feature Set: Advanced, notice the Animate "tab" to the right of Wrapper > Setup (which is underlined in blue) is no longer disabled.</strong><br>
    </figcaption>
    <br>
    <img src="assets/screenshots/heading-adv-9a-editor.png">
</figure>

<figure>
    <figcaption><strong>9b - Editor: Feature Set: Advanced, notice the Animate "tab" to the right of Customize > Content (which is underlined in blue) is no longer disabled</strong><br>
    </figcaption>
    <br>
    <img src="assets/screenshots/heading-adv-9b-editor.png">
</figure>

<figure>
    <figcaption><strong>9a - Editor: Feature Set: Advanced and the Wrapper > Animate tab "open".</strong><br>
    </figcaption>
    <br>
    <img src="assets/screenshots/heading-adv-9c-editor.png">
</figure>

<figure>
    <figcaption><strong>9 Frontend - Frontend: Above settings on the frontend. Unfortunately, you can't see the animation.</strong><br>
    </figcaption>
    <br>
    <img src="assets/screenshots/heading-adv-9-frontend.png">
</figure>



<hr>
<hr>
<footer>
    <h5>Think Outside The Block</h5>
    <p><a href="https://gitlab.com/wpezsuite/WPezBlocks/wpez-blocks-dist" target="_blank">https://gitlab.com/wpezsuite/WPezBlocks/wpez-blocks-dist</a></p>
</footer>


</body>
</html>

